# Uses of Interface
org.springframework.cache.jcache.interceptor.JCacheOperationSource

Packages that use JCacheOperationSource
Package
Description
org.springframework.cache.jcache.config
Support package for declarative JSR-107 caching configuration.
org.springframework.cache.jcache.interceptor
AOP-based solution for declarative caching demarcation using JSR-107 annotations.

## Uses of JCacheOperationSource in org.springframework.cache.jcache.config

Methods in org.springframework.cache.jcache.config that return JCacheOperationSource
Modifier and Type
Method
Description
`JCacheOperationSource`
AbstractJCacheConfiguration.`cacheOperationSource()`
Methods in org.springframework.cache.jcache.config with parameters of type JCacheOperationSource
Modifier and Type
Method
Description
`BeanFactoryJCacheOperationSourceAdvisor`
ProxyJCacheConfiguration.`cacheAdvisor(JCacheOperationSource jCacheOperationSource, JCacheInterceptor jCacheInterceptor)`
`JCacheInterceptor`
ProxyJCacheConfiguration.`cacheInterceptor(JCacheOperationSource jCacheOperationSource)`

## Uses of JCacheOperationSource in org.springframework.cache.jcache.interceptor

Classes in org.springframework.cache.jcache.interceptor that implement JCacheOperationSource
Modifier and Type
Class
Description
`class`
`AbstractFallbackJCacheOperationSource`
Abstract implementation of `JCacheOperationSource` that caches operations for methods and implements a fallback policy: 1.
`class`
`AnnotationJCacheOperationSource`
Implementation of the `JCacheOperationSource` interface that reads the JSR-107 `CacheResult`, `CachePut`, `CacheRemove` and `CacheRemoveAll` annotations.
`class`
`DefaultJCacheOperationSource`
The default `JCacheOperationSource` implementation delegating default operations to configurable services with sensible defaults when not present.
Methods in org.springframework.cache.jcache.interceptor that return JCacheOperationSource
Modifier and Type
Method
Description
`JCacheOperationSource`
JCacheAspectSupport.`getCacheOperationSource()`
Return the CacheOperationSource for this cache aspect.
Methods in org.springframework.cache.jcache.interceptor with parameters of type JCacheOperationSource
Modifier and Type
Method
Description
`void`
BeanFactoryJCacheOperationSourceAdvisor.`setCacheOperationSource(JCacheOperationSource cacheOperationSource)`
Set the cache operation attribute source which is used to find cache attributes.
`void`
JCacheAspectSupport.`setCacheOperationSource(JCacheOperationSource cacheOperationSource)`
Set the CacheOperationSource for this cache aspect.